[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.UseLocale

Determines what methods are used in strings comparison.

## Declaration

Source position: classesh.inc line 789

`public property TStrings.UseLocale : Boolean read GetUseLocale write SetUseLocale;`

## Description

Set UseLocale to True to use AnsiCompareStr and AnsiCompareText for comparing strings in the TStrings object.

Set UseLocale to False to use CompareStr and CompareText for comparing strings in the TStrings object.

The default value is True.

## See also

TStrings.Options |  | A set of TStringsOption - various boolean properties.